import { isValidElement, cloneElement, forwardRef } from "react";
import { Button } from "./button";
import { VisuallyHidden } from "./visually-hidden";
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
export const IconButton = /*#__PURE__*/forwardRef((_ref, ref) => {
  let {
    "aria-label": label,
    icon,
    color,
    ...rest
  } = _ref;
  const children = /*#__PURE__*/isValidElement(icon) ? /*#__PURE__*/cloneElement(icon, {
    "aria-hidden": true
  }) : null;
  return /*#__PURE__*/_jsxs(Button, {
    ref: ref,
    "aria-label": label,
    p: 1,
    color: color,
    ...rest,
    children: [/*#__PURE__*/_jsx(VisuallyHidden, {
      children: label
    }), children]
  });
});
if (process.env.NODE_ENV !== "production") {
  IconButton.displayName = "IconButton";
}