/// <reference types="react" />
import type * as CSS from "csstype";
import type { FontSizeProps, SpaceProps, LayoutProps, ColorProps, ResponsiveValue } from "styled-system";
export interface IconProps extends FontSizeProps, SpaceProps, LayoutProps, ColorProps {
    as?: keyof JSX.IntrinsicElements;
    viewBox?: string;
    fill?: string;
    stroke?: string;
    transform?: ResponsiveValue<CSS.Property.Transform>;
    cursor?: ResponsiveValue<CSS.Property.Cursor>;
    onClick?: React.MouseEventHandler;
    children?: React.ReactNode;
}
export declare const StyledIcon: import("styled-components").StyledComponent<"svg", any, IconProps, never>;
export declare const Icon: import("react").ForwardRefExoticComponent<IconProps & import("react").RefAttributes<HTMLElement>>;
