/// <reference types="react" />
import type { FlexProps } from "./flex";
export interface RadioProps extends Omit<React.InputHTMLAttributes<HTMLInputElement>, "onChange"> {
    value: string | number;
    onChange?: (value: string | number, event: React.ChangeEvent<HTMLInputElement>) => void;
    children?: React.ReactNode;
}
export interface RadioGroupProps extends FlexProps {
    value?: string | number;
    defaultValue?: string | number;
    onChange?: (value: string | number, event: React.ChangeEvent<HTMLInputElement>) => void;
    name: string;
    disabled?: boolean;
    isInvalid?: boolean;
}
declare const CompoundRadio: import("react").ForwardRefExoticComponent<RadioProps & import("react").RefAttributes<HTMLInputElement>> & {
    id: string;
    Group: import("react").ForwardRefExoticComponent<RadioGroupProps & import("react").RefAttributes<HTMLDivElement>>;
};
export { CompoundRadio as Radio };
