/// <reference types="react" />
export interface ToastProviderProps {
    container?: HTMLElement | (() => HTMLElement);
    children?: React.ReactNode;
}
interface ToastProps {
    key?: string;
    title: React.ReactNode;
    description?: React.ReactNode;
    icon?: React.ReactNode;
    action?: React.ReactNode;
    actionAltText?: string;
    duration?: number;
    type?: "info" | "success" | "error" | "warning";
    sensitivity?: "foreground" | "background";
    onClose?: () => void;
}
interface ToastController {
    open: (props: ToastProps) => string;
    close: (key: string) => void;
    info: (props: ToastProps) => string;
    success: (props: ToastProps) => string;
    error: (props: ToastProps) => string;
    warning: (props: ToastProps) => string;
}
export declare function useToast(): ToastController;
export declare function ToastProvider({ container, children }: ToastProviderProps): JSX.Element;
export declare namespace ToastProvider {
    var displayName: string;
}
export {};
