/**
 * Uses debounced state that delays invoking the change handler until after `wait` milliseconds have elapsed since the
 * last time the setter function was invoked.
 */
export declare function useDebounceState<S>(value: S, onChange: (value: S) => void, wait: number, leading?: boolean): readonly [S, (value: S) => void];
