import { isFunction } from "../utils/type-util";
import { useEventListener } from "./use-event-listener";
/**
 * Uses a conditional dialog to confirm that the user wants to leave the page.
 */
export function useUnloadBlocker() {
  let {
    enabled,
    onBlock
  } = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  useEventListener("beforeunload", event => {
    if (isFunction(enabled) ? enabled() : enabled) {
      event.preventDefault();
      // @ts-ignore
      event.returnValue = "Changes you made may not be saved.";
      onBlock?.();
    }
  }, window);
}