export { ResetStyle } from "./reset-style";
export declare const themes: {
    light: {
        name: string;
        colors: {
            alpha: string[] & {
                inverse: string[];
                white: string[];
                black: string[];
            };
            gray: string[] & {
                light: string;
                base: string;
            };
            magenta: string[] & {
                light: string;
                base: string;
                hover: string;
                active: string;
            };
            red: string[] & {
                light: string;
                base: string;
                hover: string;
                active: string;
            };
            volcano: string[] & {
                light: string;
                base: string;
                hover: string;
                active: string;
            };
            orange: string[] & {
                light: string;
                base: string;
                hover: string;
                active: string;
            };
            gold: string[] & {
                light: string;
                base: string;
                hover: string;
                active: string;
            };
            yellow: string[] & {
                light: string;
                base: string;
                hover: string;
                active: string;
            };
            lime: string[] & {
                light: string;
                base: string;
                hover: string;
                active: string;
            };
            green: string[] & {
                light: string;
                base: string;
                hover: string;
                active: string;
            };
            cyan: string[] & {
                light: string;
                base: string;
                hover: string;
                active: string;
            };
            blue: string[] & {
                light: string;
                base: string;
                hover: string;
                active: string;
            };
            geekblue: string[] & {
                light: string;
                base: string;
                hover: string;
                active: string;
            };
            purple: string[] & {
                light: string;
                base: string;
                hover: string;
                active: string;
            };
            primary: string[] & {
                light: string;
                base: string;
                hover: string;
                active: string;
            };
            success: string[] & {
                light: string;
                base: string;
                hover: string;
                active: string;
            };
            danger: string[] & {
                light: string;
                base: string;
                hover: string;
                active: string;
            };
            warning: string[] & {
                light: string;
                base: string;
                hover: string;
                active: string;
            };
            info: string[] & {
                light: string;
                base: string;
                hover: string;
                active: string;
            };
            heading: string;
            text: string;
            placeholder: string;
            disabled: string;
            bg: {
                base: string;
                body: string;
            };
            border: {
                base: string;
                split: string;
                grid: string;
            };
            shadow: {
                base: string;
                inverse: string;
            };
            modal: {
                bg: string;
            };
            dropdown: {
                bg: string;
            };
            popover: {
                bg: string;
            };
            tooltip: {
                bg: string;
                text: string;
            };
        };
        borders: {
            base: string;
            split: string;
            grid: string;
        };
        shadows: {
            base: string;
            up: string;
            down: string;
            left: string;
            right: string;
            cell: string;
        };
        fonts: {
            brand: string;
            body: string;
        };
        fontSizes: number[] & {
            sm: number;
            md: number;
            lg: number;
        };
        lineHeights: {
            none: number;
            shorter: number;
            short: number;
            base: number;
            tall: number;
            taller: number;
        };
        space: number[] & {
            xs: number;
            sm: number;
            md: number;
            lg: number;
        };
        breakpoints: string[] & {
            md: string;
            lg: string;
        };
        mediaQueries: {
            md: string;
            lg: string;
        };
        radii: {
            base: number;
        };
        transitions: {
            easeBaseIn: string;
            easeBaseOut: string;
            easeIn: string;
            easeOut: string;
            easeInOut: string;
            easeInBack: string;
            easeOutBack: string;
            easeInOutBack: string;
            easeInCircle: string;
            easeOutCircle: string;
            easeInOutCircle: string;
            easeInQuint: string;
            easeOutQuint: string;
            easeInOutQuint: string;
        };
        animationDurations: {
            slow: string;
            base: string;
            fast: string;
        };
    };
    dark: {
        name: string;
        colors: {
            alpha: string[] & {
                inverse: string[];
                white: string[];
                black: string[];
            };
            gray: string[] & {
                light: string;
                base: string;
            };
            magenta: string[] & {
                light: string;
                base: string;
                hover: string;
                active: string;
            };
            red: string[] & {
                light: string;
                base: string;
                hover: string;
                active: string;
            };
            volcano: string[] & {
                light: string;
                base: string;
                hover: string;
                active: string;
            };
            orange: string[] & {
                light: string;
                base: string;
                hover: string;
                active: string;
            };
            gold: string[] & {
                light: string;
                base: string;
                hover: string;
                active: string;
            };
            yellow: string[] & {
                light: string;
                base: string;
                hover: string;
                active: string;
            };
            lime: string[] & {
                light: string;
                base: string;
                hover: string;
                active: string;
            };
            green: string[] & {
                light: string;
                base: string;
                hover: string;
                active: string;
            };
            cyan: string[] & {
                light: string;
                base: string;
                hover: string;
                active: string;
            };
            blue: string[] & {
                light: string;
                base: string;
                hover: string;
                active: string;
            };
            geekblue: string[] & {
                light: string;
                base: string;
                hover: string;
                active: string;
            };
            purple: string[] & {
                light: string;
                base: string;
                hover: string;
                active: string;
            };
            primary: string[] & {
                light: string;
                base: string;
                hover: string;
                active: string;
            };
            success: string[] & {
                light: string;
                base: string;
                hover: string;
                active: string;
            };
            danger: string[] & {
                light: string;
                base: string;
                hover: string;
                active: string;
            };
            warning: string[] & {
                light: string;
                base: string;
                hover: string;
                active: string;
            };
            info: string[] & {
                light: string;
                base: string;
                hover: string;
                active: string;
            };
            heading: string;
            text: string;
            placeholder: string;
            disabled: string;
            bg: {
                base: string;
                body: string;
            };
            border: {
                base: string;
                split: string;
                grid: string;
            };
            shadow: {
                base: string;
                inverse: string;
            };
            modal: {
                bg: string;
            };
            dropdown: {
                bg: string;
            };
            popover: {
                bg: string;
            };
            tooltip: {
                bg: string;
                text: string;
            };
        };
        borders: {
            base: string;
            split: string;
            grid: string;
        };
        shadows: {
            base: string;
            up: string;
            down: string;
            left: string;
            right: string;
            cell: string;
        };
        fonts: {
            brand: string;
            body: string;
        };
        fontSizes: number[] & {
            sm: number;
            md: number;
            lg: number;
        };
        lineHeights: {
            none: number;
            shorter: number;
            short: number;
            base: number;
            tall: number;
            taller: number;
        };
        space: number[] & {
            xs: number;
            sm: number;
            md: number;
            lg: number;
        };
        breakpoints: string[] & {
            md: string;
            lg: string;
        };
        mediaQueries: {
            md: string;
            lg: string;
        };
        radii: {
            base: number;
        };
        transitions: {
            easeBaseIn: string;
            easeBaseOut: string;
            easeIn: string;
            easeOut: string;
            easeInOut: string;
            easeInBack: string;
            easeOutBack: string;
            easeInOutBack: string;
            easeInCircle: string;
            easeOutCircle: string;
            easeInOutCircle: string;
            easeInQuint: string;
            easeOutQuint: string;
            easeInOutQuint: string;
        };
        animationDurations: {
            slow: string;
            base: string;
            fast: string;
        };
    };
};
