/**
 * Clamps a value between a minimum and maximum.
 */
export function clamp(val) {
  let min = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;
  let max = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 1;
  return val < min ? min : val > max ? max : val;
}

/**
 * Rounds a value to a given number of digits.
 */
export function round(val) {
  let digits = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;
  let base = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 10 ** digits;
  return Math.round((val + Number.EPSILON) * base) / base;
}